=== debian/changelog ===
ppmtofb (0.27) frozen unstable; urgency=high

  * Fix compilation problem on architectures without <sys/io.h>.
    (Closes: #59820)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 15 Mar 2000 18:41:15 -0600

ppmtofb (0.26) unstable; urgency=low

  * Update copyright location in binary to reflect the correct FHS
    location for woody+. (Closes: #58599)
  * Add build dependencies; update to Standards-Version 3.1.1.0

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 20 Feb 2000 22:04:12 -0600

ppmtofb (0.25) unstable; urgency=low

  * fbview now supports BMP, PCX, TIFF and XPM via NetPBM (before, it
    would use "convert").
  * Standards-Version: 3.0.1.1

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  9 Sep 1999 03:18:59 -0500

ppmtofb (0.24) unstable; urgency=low

  * Recompile against new libpopt-dev.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 17 Jul 1999 11:36:37 -0500

ppmtofb (0.23) unstable; urgency=low

  * Remove dependency on python-misc.  (Closes: #41344)
  * Apply patches from Gerd Knorr to make ppmtofb play nicely on Red Hat
    systems.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 16 Jul 1999 02:14:40 -0500

ppmtofb (0.22) unstable; urgency=low

  * fbview now accepts configuration files /etc/fbview.conf and
    ~/.fbview.conf; see /usr/doc/ppmtofb/examples/fbview.conf for an
    example configuration file.
  * Fixed delay to work correctly (before, the time taken to display the
    image was added to, not subtracted from, the delay period).
  * Actually updated the fbview man page.
  
 -- Chris Lawrence <lawrencc@debian.org>  Thu, 13 May 1999 00:09:15 -0500

ppmtofb (0.21) unstable; urgency=low

  * Fixed numerous bugs again; notably in planar and grayscale display.
  * Enhanced fbview to take lots of command line arguments; see man page
    for details.

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  7 May 1999 02:03:33 -0500

ppmtofb (0.20) unstable; urgency=low

  * Set var.nonstd to 0 before initial FBIOPUT_VSCREENINFO ioctl; fixes a
    bug that stopped some depth changes from working after a HAM screen was
    displayed on an Amiga.
  * Fixed numerous stupid bugs in the HAM code.
  * HAM6 now works.  CBM's engineers decided to make HAM6 and HAM8 use
    different bitplane layouts; now ppmtofb takes account of it.
  * New options: --cutoff and --no-ham; both are HAM-specific.  See the
    man page for details.
  
 -- Chris Lawrence <lawrencc@debian.org>  Sat, 17 Apr 1999 04:05:35 -0500

ppmtofb (0.19) unstable; urgency=low

  * For some reason, the '-r' option would cause ppmtofb to seg fault (at
    least in VGA16 mode).  Simplifying a ?: expression seemed to fix the
    problem...

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 13 Apr 1999 01:42:16 -0500

ppmtofb (0.18) unstable; urgency=low

  * Added "python-misc" to the Recommends list. (Closes: #35890)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 11 Apr 1999 04:26:32 -0500

ppmtofb (0.17) unstable; urgency=low

  * Sort colors in planar modes to put darkest colors toward the beginning
    of the palette (only when we can't allocate black).
  * Random dithering added for grayscale modes to reduce banding; must be
    enabled with new "-r" switch.
  * Changes to fbview to use random dithering in grayscale modes.
  * Automated version number handling in Makefile.

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  9 Apr 1999 01:59:15 -0500

ppmtofb (0.16) unstable; urgency=low

  * Fixed lintian "executable-manpage" error.
  * Put correct date in version string (need to automate somehow).
  * Optimized DisplayImage() for VGA16 somewhat.
  * Removed a spurious fprintf() from ReadImage().
  * Reduced debugging clutter with verbose mode on.
  
 -- Chris Lawrence <lawrencc@debian.org>  Sun,  4 Apr 1999 04:59:20 -0500

ppmtofb (0.15) unstable; urgency=low

  * Corrected spelling of "relevant".
  * Added examples to the man page.
  * Added VGA16 framebuffer support based on Ben Pfaff's "bogl"
    implementation (4 bitplanes only).  Only built on i386 at present
    (although the kernel driver may work on Alpha as well).
  * Fixed numerous stupid bugs in fbview.
  * Added "Provides: ppmtoagafb", since it does, more or less.
  
 -- Chris Lawrence <lawrencc@debian.org>  Sat,  3 Apr 1999 22:37:47 -0600

ppmtofb (0.14) unstable; urgency=low

  * Modified debian/rules to do the suid stuff "correctly" (thanks to Joey
    Hess for pointing me in the right direction).
  * Fixed FORMATS in debian/rules (fixes #33986).
  * Use current depth of framebuffer instead of 8 as the default.  Based on
    a suggestion from Robert de Bath.
  * Bug#33802 (segfaults on 24 bpp display) was actually fixed in 0.13.
  * Fixed the help to include --stdin.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 18 Mar 1999 23:48:20 -0600

ppmtofb (0.13) unstable; urgency=low

  * Added (slightly) informative message for why vga16 framebuffers don't
    work (if you compile against 2.2 headers).
  * Updated VERSION string correctly.
  * Patches/notes from Robert de Bath:
    1. Allocate enough buffer memory when depth > 8
    2. Somehow ppmtofb wasn't installed suid root; fixed by using
       dh_suidregister and adding debian/suid
    3. #define RDB_DEBUG will disable VT controls for debugging purposes
  * Handle STATIC_PSEUDOCOLOR visuals with fix.grayscale; I don't know if
    any of these actually exist, but now it's supported (implies --grayscale).
  
 -- Chris Lawrence <lawrencc@debian.org>  Fri, 26 Feb 1999 00:06:55 -0600

ppmtofb (0.12) unstable; urgency=low

  * Disabled verbose flag in fbview's calls of ppmtofb
  * Various cleanups in fbview
  * Changes from before ppmto(aga)fb was a Debian package are now at the end of
    this changelog (as experimental).  I have no idea what the correct
    dates are, however.  Some guesses are in brackets.
  * Cleaned up and updated the README file.
  * Modified debian/rules to specify which framebuffer organizations
    should be built for particular architectures:

