=== debian/control ===
Source: ppmtofb
Section: graphics
Priority: optional
Maintainer: Chris Lawrence <lawrencc@debian.org>
Standards-Version: 3.1.1.0
Build-Depends: debhelper, libpopt-dev, netpbm-dev

Package: ppmtofb
Architecture: any
Depends: ${shlibs:Depends}
Recommends: python-base (>= 1.5.2-4), netpbm, pnmtopng
Suggests: fbset, imagemagick
Conflicts: ppmtoagafb
Replaces: ppmtoagafb
Provides: ppmtoagafb
Description: Display netpbm graphics on framebuffer devices
 The ppmtofb package supports displaying netpbm-format graphics
 (PBM, PGM and PPM) on systems with framebuffer devices (available
 with 2.1 kernels on all platforms and 2.0 kernels on m68k).  With the
 separate fbview package, you can display virtually any picture format
 on any framebuffer.
 .
 ppmtofb supports virtually all framebuffer devices, including vesafb
 and the experimental VGA16 framebuffer for PCs.  On Amigas it can
 take advantage of the Hold and Modify (HAM) modes for virtual
 truecolor display.
 .
 This package was previously called "ppmtoagafb"; however, since it
 works with more framebuffers now the name "ppmtofb" was chosen.
