## ppmtofb 0.31

=== debian/changelog ===
ppmtofb (0.31) unstable; urgency=low

  * Remove recommendation for python-base.  (Closes: #124013)

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  3 Mar 2002 02:41:05 -0600

ppmtofb (0.30) unstable; urgency=low

  * Updated control file for python repackaging.  (Closes: #119210)
  * Updated debian/rules to DH_COMPAT=3
  * Cleaned up the changelog a bit.
  * Added home page URL to control file.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 18 Nov 2001 22:42:10 -0600

ppmtofb (0.29) unstable; urgency=low

  * Corrected manpage for fbview.  (Closes: #103185)  Thanks to Stephen
    Stafford for a patch.

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  8 Jul 2001 23:55:02 -0500

ppmtofb (0.28) unstable; urgency=low

  * Rebuild against new libnetpbm9 library.
  * Update to Standards-Version 3.5.0.0, including $DEB_BUILD_OPTIONS
    support.
  * #include <string.h> to avoid several compiler warnings.
  * Cleanup all -Wall errors.
  
 -- Chris Lawrence <lawrencc@debian.org>  Sun, 18 Mar 2001 23:46:25 -0600
