=== debian/control ===
Source: ppmtofb
Section: graphics
Priority: optional
Maintainer: Chris Lawrence <lawrencc@debian.org>
Standards-Version: 3.5.0.0
Build-Depends: debhelper (>= 2.2.0), libpopt-dev, libnetpbm9-dev

Package: ppmtofb
Architecture: any
Depends: ${shlibs:Depends}
Recommends: python, netpbm
Suggests: fbset, imagemagick
Conflicts: ppmtoagafb, python (>> 2.3)
Replaces: ppmtoagafb
Provides: ppmtoagafb
Description: Display netpbm graphics on Linux framebuffer devices
 The ppmtofb package supports displaying netpbm-format graphics (PBM,
 PGM and PPM) on Linux systems with framebuffer devices (available
 with 2.1 kernels on all platforms and 2.0 kernels on m68k).  With the
 included fbview program, you can display virtually any picture format
 on any framebuffer.
 .
 ppmtofb supports virtually all framebuffer devices, including vesafb
 and the VGA16 framebuffer for PCs.  On Amigas it can take advantage
 of the Hold and Modify (HAM) modes for virtual truecolor display on
 both standard and AGA systems.
 .
 Home Page: http://www.lordsutch.com/chris/ppmtofb.html
