## ppmtofb 0.32

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 CC =		gcc
-LOBS = 		-lnetpbm -lpopt
+LOBS = 		-lpnm -lppm -lpgm -lpbm -lpopt
 
 TREE = $(DESTDIR)/usr
 # FHS/FSSTND; or /usr/local
@@ -20,7 +20,7 @@
 FORMATS = -DVIDEO_PLANES -DVIDEO_INTERLEAVED_PLANES -DVIDEO_HAM \
 	  -DVIDEO_PACKED_PIXELS -DVIDEO_IPLAN2Px -DVIDEO_VGA16
 
-CFLAGS = -O2 -g -Wall
+CFLAGS = -O2 -g -Wall -I.
 #CFLAGS = -DDEBUG -g -Wall
 INSTALL = install -o root -g root
 SUIDBIN = -m4755
