=== debian/changelog ===
ppmtofb (0.32) unstable; urgency=low

  * Patches from Nick Estes to make the --framebuffer option work, add
    support for the devfs names, and a new switch to select the virtual
    console to use.
  * Make installable with Python 2.3.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 10 Aug 2003 20:13:58 -0400
