=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: graphics
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
-Standards-Version: 3.5.0.0
-Build-Depends: debhelper (>= 2.2.0), libpopt-dev, libnetpbm9-dev
+Standards-Version: 3.5.10
+Build-Depends: debhelper (>> 4), libpopt-dev, libnetpbm9-dev
 
 Package: ppmtofb
 Architecture: any
 Depends: ${shlibs:Depends}
 Recommends: python, netpbm
 Suggests: fbset, imagemagick
-Conflicts: ppmtoagafb, python (>> 2.3)
+Conflicts: ppmtoagafb, python (>> 2.4)
 Replaces: ppmtoagafb
 Provides: ppmtoagafb
 Description: Display netpbm graphics on Linux framebuffer devices
