=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # Made with the aid of dh_make, by Craig Small -*- makefile -*-
 # Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
 # Some lines taken from debmake, by Cristoph Lameter.
+
+export DH_COMPAT=3
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -31,13 +33,17 @@
 endif
 endif
 
+CFLAGS = -O2 -Wall -I.
+ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
+CFLAGS += -g
+endif
 
 build: build-stamp
 build-stamp:
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE) CFLAGS="-O2 -g -Wall" FORMATS="$(FORMATS)"
+	$(MAKE) CFLAGS="$(CFLAGS)" FORMATS="$(FORMATS)"
 
 	touch build-stamp
 
@@ -63,8 +69,8 @@
 	dh_clean -k
 	dh_installdirs
 
-	# Add here commands to install the files into debian/tmp
-	$(MAKE) install DESTDIR=`pwd`/debian/tmp
+	# Add here commands to install the files into debian/ppmtofb
+	$(MAKE) install DESTDIR=`pwd`/debian/ppmtofb
 
 	dh_installdocs
 	dh_installexamples fbview.conf
@@ -77,7 +83,6 @@
 	dh_strip
 	dh_compress
 	dh_fixperms -Xusr/bin/ppmtofb
-	dh_suidregister
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
