## ppmtofb 0.32-0.1

=== Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 	chmod u+s ppmtofb
 
 install: 
-	$(INSTALL) $(SUIDBIN) -s ppmtofb $(TREE)/bin/ppmtofb
+	$(INSTALL) $(SUIDBIN) ppmtofb $(TREE)/bin/ppmtofb
 	$(INSTALL) -m755 fbview.py $(TREE)/bin/fbview
 	$(INSTALL) -m644 ppmtofb.1 $(MANTREE)/man1/ppmtofb.1
 	$(INSTALL) -m644 fbview.1 $(MANTREE)/man1/fbview.1
