=== debian/changelog ===
ppmtofb (0.32-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix encoding of debian/changelog (lenny release goal). Closes: #454003
  * While we're at it, use "Homepage:" in debian/control
  * Do not strip binaries when installing, in Makefile so that building with
    notrip works. Closes: 437786
  * s/copyright/Copyright in the copyright file (thanks, lintian)
  * Do not ignore errors by "make clean" in the clean target

 -- Christian Perrier <bubulle@debian.org>  Sat, 09 Feb 2008 11:38:11 +0100
