=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Chris Lawrence <lawrencc@debian.org>
 Standards-Version: 3.5.10
 Build-Depends: debhelper (>> 4), libpopt-dev, libnetpbm9-dev
+Homepage: http://www.lordsutch.com/chris/ppmtofb.html
 
 Package: ppmtofb
 Architecture: any
@@ -24,5 +25,3 @@
  and the VGA16 framebuffer for PCs.  On Amigas it can take advantage
  of the Hold and Modify (HAM) modes for virtual truecolor display on
  both standard and AGA systems.
- .
- Home Page: http://www.lordsutch.com/chris/ppmtofb.html
