=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,7 @@
 	rm -f build-stamp debian/post*.debhelper
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) clean
 
 	dh_clean
